#!/usr/bin/python

import xmlrpclib
import sys
from optparse import OptionParser

def get_token(host, customer_id, sub_id):
    poa = xmlrpclib.ServerProxy('http://'+host+':8440/RPC2')
    result = poa.pem.APS.getAccountToken({'account_id':customer_id,'subscription_id':sub_id})
    if result['status'] != 0:
    	print "\nError: " + result['error_message'] + "\n"
    	sys.exit(1)
    return result['result']['aps_token']

if __name__ == '__main__':
	parser = OptionParser()
	parser.add_option('-e', '--environment', dest='env_name', default='localhost', help='environment name, i.e. "a.mycompany.apsdemo.org"')
	parser.add_option('-c', '--customer', dest='customer_id', default='1', help='ID of customer account, 1 for provider')
	parser.add_option('-s', '--subscription', dest='sub_id', default='0', help='ID of customer\'s subscription')

	opts, args = parser.parse_args()

	token = get_token(opts.env_name, int(opts.customer_id), int(opts.sub_id))
	print '\nQuerying POA MN at %s. Token for customer #%s, subscription #%s:\n\n%s\n' % (opts.env_name, opts.customer_id, opts.sub_id, token)
